osl::rating::CheckmateIfCapture Class Reference

`#include <checkmate.h>`

Inheritance diagram for osl::rating::CheckmateIfCapture:

## Public Member Functions

| CheckmateIfCapture ()
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Detailed Description

Definition at line 14 of file checkmate.h.

## Constructor & Destructor Documentation

## CheckmateIfCapture()

osl::rating::CheckmateIfCapture::CheckmateIfCapture | ( |  | ) |

inline

Definition at line 17 of file checkmate.h.

References osl::rating::Feature::Feature().

## Member Function Documentation

## match()

bool osl::rating::CheckmateIfCapture::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 18 of file checkmate.h.

References osl::alt(), osl::checkmate::CheckmateIfCapture::effectiveAttack(), osl::checkmate::CheckmateIfCapture::effectiveAttackCandidate0(), osl::NumEffectState::hasEffectAt(), osl::Move::player(), and osl::Move::to().

The documentation for this class was generated from the following file:

- checkmate.h